## lxqt-policykit 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(lxqt-policykit-agent)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

include(GNUInstallDirs)

find_package(PkgConfig)
pkg_check_modules(POLKIT_AGENT REQUIRED polkit-agent-1)
message(STATUS "polkit agent: ${POLKIT_AGENT_INCLUDE_DIRS} ${POLKIT_AGENT_LIBRARIES}")

set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

find_package(PolkitQt5-1 REQUIRED)
find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(lxqt REQUIRED QUIET)

include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

# Deal with a bug in polkit-qt5
if (NOT IS_ABSOLUTE "${POLKITQT-1_INCLUDE_DIR}")
    set(POLKITQT-1_INCLUDE_DIR "${POLKITQT-1_INSTALL_DIR}/${POLKITQT-1_INCLUDE_DIR}")
    set(POLKITQT-1_AGENT_LIBRARY "${POLKITQT-1_INSTALL_DIR}/${POLKITQT-1_AGENT_LIBRARY}")
    set(POLKITQT-1_CORE_LIBRARY "${POLKITQT-1_INSTALL_DIR}/${POLKITQT-1_CORE_LIBRARY}")
endif()
message(STATUS "PolkitQt-1: ${POLKITQT-1_VERSION_STRING}")
message(STATUS "   install: ${POLKITQT-1_INSTALL_DIR}")
message(STATUS "      libs: ${POLKITQT-1_CORE_LIBRARY} ${POLKITQT-1_AGENT_LIBRARY}")
message(STATUS "   include: ${POLKITQT-1_INCLUDE_DIR}")

# TODO/FIXME: pkg-config for hardcoded paths
# pkg-config --cflags glib-2.0
# pkg-config --cflags polkit-agent-1
include_directories(
    ${POLKIT_AGENT_INCLUDE_DIRS}
    "${POLKITQT-1_INCLUDE_DIR}"
)

set(lxqt-policykit-agent_SRCS
    src/main.cpp
    src/policykitagent.cpp
    src/policykitagentgui.cpp
)

set(lxqt-policykit-agent_H
    src/policykitagent.h
    src/policykitagentgui.h
)

set(lxqt-policykit-agent_UI
    src/policykitagentgui.ui
)

# Translations
lxqt_translate_ts(lxqt-policykit-agent_QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-policykit-agent_H}
        ${lxqt-policykit-agent_SRCS}
        ${lxqt-policykit-agent_UI}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})

add_executable(lxqt-policykit-agent
    ${lxqt-policykit-agent_SRCS}
    ${lxqt-policykit-agent_MOCS}
    ${lxqt-policykit-agent_QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(lxqt-policykit-agent
    Qt5::Widgets
    lxqt
    ${POLKITQT-1_CORE_LIBRARY}
    ${POLKITQT-1_AGENT_LIBRARY}
    ${POLKIT_AGENT_LIBRARIES}
)

# install
install(TARGETS
    lxqt-policykit-agent
    DESTINATION "${POLKIT_AGENT_BINARY_DIR}"
    COMPONENT Runtime
)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

## lxqt-policykit 0.9.0+20150807

=== debian/changelog ===
lxqt-policykit (0.9.0+20150807-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Initial release. (Closes: #747607)
  * initial debian files.
  * new release 0.9.0 source/options added packages renamed debian $foo
    fixed.
  * Some cleanup in debian $foo.
  * some changes in debian $foo.
  * drop transitional packages.

  [ Yukiharu YABUKI ]
  * Added two uploaders.
  * Improve description.
  * Change upload place. experimental->unstable.
  * Added copyright holder for debian/*.
  * Merging upstream 0.9.0+20150807.

 -- Yukiharu YABUKI <yyabuki@debian.org>  Wed, 19 Aug 2015 06:52:13 +0900

=== debian/control ===
Source: lxqt-policykit
Section: x11
Priority: optional
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders:
 Alf Gaida <agaida@siduction.org>,
 ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Andrew Lee (李健秋) <ajqlee@debian.org>,
 Yukiharu YABUKI <yyabuki@debian.org>
Build-Depends:
 cmake (>= 3.0.2),
 debhelper (>= 9),
 libpolkit-agent-1-dev,
 libx11-dev,
 pkg-config,
 libkf5windowsystem-dev (>= 5.9.0),
 liblxqt0-dev (>= 0.9.0),
 libpolkit-qt5-1-dev (>= 0.112),
 libqt5x11extras5-dev (>= 5.3),
 libqt5xdg-dev (>= 1.2.0),
 qttools5-dev (>= 5.3),
 qttools5-dev-tools (>= 5.3),
Standards-Version: 3.9.6
Homepage: https://github.com/lxde/lxqt-policykit
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-policykit.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-policykit.git

Package: lxqt-policykit
Architecture: any
Breaks: lxqt-policykit-qt5 (<< 0.9.0)
Replaces: lxqt-policykit-qt5 (<< 0.9.0)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: LXQt authentication agent for PolicyKit
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent.

Package: lxqt-policykit-dbg
Architecture: any
Section: debug
Priority: extra
Breaks: lxqt-policykit-qt5-dbg (<< 0.9.0)
Replaces: lxqt-policykit-qt5-dbg (<< 0.9.0)
Depends:
 ${misc:Depends},
 lxqt-policykit (= ${binary:Version}),
Description: LXQt authentication agent for PolicyKit (debug symbols)
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent with
 debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1


%:
	dh ${@} --buildsystem cmake --parallel


override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/lxqt-policykit

override_dh_strip:
	dh_strip --dbg-package=lxqt-policykit-dbg

=== debian/watch ===
version=3
https://github.com/lxde/lxqt-policykit/releases .*/([\d\.]+).tar.gz

## lxqt-policykit 0.10.0

=== debian/changelog ===
lxqt-policykit (0.10.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.10.0.
  * Set minimum versions for liblxqt and libqtxdg

 -- Alf Gaida <agaida@siduction.org>  Wed, 04 Nov 2015 17:13:03 +0100

lxqt-policykit (0.9.0+20151024-1) experimental; urgency=medium

  * Cherry-pick upstream version 0.9.0+20151024.
  * Removed breaks and replaces
  * Added upstring signing key and use it in watch file
  * Fixed control with cme fix
  * Added linker flags -Wl,--as-needed
  * Removed unused GPL2+ from copyright
  * Added AUTHORS to docs
  * Cleaned up .gitignore
  * Switched to experimental because of LXQt namespace change
  * Added minimum version for liblxqt and libqtxdg

 -- Alf Gaida <agaida@siduction.org>  Fri, 30 Oct 2015 22:16:29 +0100

=== debian/control ===
Source: lxqt-policykit
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake (>= 3.0.2),
               debhelper (>= 9),
               libpolkit-agent-1-dev,
               libx11-dev,
               pkg-config,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.10.0),
               libpolkit-qt5-1-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-policykit.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-policykit.git
Homepage: https://github.com/lxde/lxqt-policykit

Package: lxqt-policykit
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: LXQt authentication agent for PolicyKit
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent.

Package: lxqt-policykit-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         lxqt-policykit (= ${binary:Version})
Description: LXQt authentication agent for PolicyKit (debug symbols)
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent with
 debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh ${@} --buildsystem cmake --parallel
-
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/lxqt-policykit

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-policykit/releases .*/([\d\.]+).tar.gz

## lxqt-policykit 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,16 @@
         ${lxqt-policykit-agent_UI}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "lxqt-policykit/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})

=== debian/changelog ===
lxqt-policykit (0.11.0-4) unstable; urgency=medium

  * Provides: polkit-1-auth-agent (Closes: #842268)

 -- Alf Gaida <agaida@siduction.org>  Sun, 06 Nov 2016 20:29:28 +0100

lxqt-policykit (0.11.0-3) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0
  * Sync debian foo with experimental
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version liblxqt-dev (>= 0.11.0)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Added Recommends lxqt-policykit-l10n
  * Bumped copyright years
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Added README.md to docs
  * Added manpages

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 17:04:36 +0200

lxqt-policykit (0.10.0-4) unstable; urgency=medium

  * Bump Standards to 3.9.8, no changes needed
  * Fixed VCS fields, using https and plain /git/ and point to the
    right branch 
  * Fixed copyright Format field
  * Exported LC_ALL=C.UTF-8, make builds reproducible
  * Added hardening options

 -- Alf Gaida <agaida@siduction.org>  Wed, 20 Jul 2016 16:31:07 +0200

lxqt-policykit (0.10.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 20:45:31 +0100

lxqt-policykit (0.10.0-2) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Set minimum versions for liblxqt and libqtxdg.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 19 Nov 2015 12:38:03 +0800

lxqt-policykit (0.9.0+20150807-2) unstable; urgency=medium

  [ Alf Gaida ]
  * Removed breaks and replaces
  * Fixed control with cme fix
  * Added linker flags -Wl,--as-needed
  * Removed unused GPL2+ from copyright
  * Added AUTHORS to docs
  * Cleaned up .gitignore
  * Removed not needed minimum versions

  [ ChangZhuo Chen (陳昌倬) ]

 -- Alf Gaida <agaida@siduction.org>  Thu, 12 Nov 2015 01:34:20 +0100

=== debian/control ===
Source: lxqt-policykit
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libpolkit-agent-1-dev,
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libqt5xdgiconloader-dev (>= 2.0.0),
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-policykit.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-policykit.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-policykit

Package: lxqt-policykit
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-policykit-l10n
Provides: polkit-1-auth-agent
Description: LXQt authentication agent for PolicyKit
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent.

## lxqt-policykit 0.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,15 @@
 cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
+
 project(lxqt-policykit-agent)
 
+include(GNUInstallDirs)
+
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTOUIC ON)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
-
-include(GNUInstallDirs)
 
 find_package(PkgConfig)
 pkg_check_modules(POLKIT_AGENT REQUIRED polkit-agent-1)
@@ -11,18 +17,14 @@
 
 set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(CMAKE_POSITION_INDEPENDENT_CODE ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTOUIC ON)
+find_package(PolkitQt5-1 REQUIRED)
+find_package(Qt5LinguistTools REQUIRED QUIET)
+find_package(Qt5Widgets REQUIRED)
+message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
 
-find_package(PolkitQt5-1 REQUIRED)
-find_package(Qt5Widgets REQUIRED QUIET)
-find_package(Qt5LinguistTools REQUIRED QUIET)
-find_package(lxqt REQUIRED QUIET)
+find_package(lxqt REQUIRED)
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
-include(LXQtTranslate)
 
 # Deal with a bug in polkit-qt5
 if (NOT IS_ABSOLUTE "${POLKITQT-1_INCLUDE_DIR}")
@@ -58,7 +60,9 @@
     src/policykitagentgui.ui
 )
 
-# Translations
+# Translations **********************************
+include(LXQtTranslate)
+
 lxqt_translate_ts(lxqt-policykit-agent_QM_FILES
     UPDATE_TRANSLATIONS
         ${UPDATE_TRANSLATIONS}
@@ -81,6 +85,7 @@
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
+#************************************************
 
 add_executable(lxqt-policykit-agent
     ${lxqt-policykit-agent_SRCS}
@@ -103,13 +108,3 @@
     DESTINATION "${POLKIT_AGENT_BINARY_DIR}"
     COMPONENT Runtime
 )
-
-# building tarball with CPack -------------------------------------------------
-include(InstallRequiredSystemLibraries)
-set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
-set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
-set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
-set(CPACK_GENERATOR TBZ2)
-set(CPACK_SOURCE_GENERATOR TBZ2)
-set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
-include(CPack)

=== debian/changelog ===
lxqt-policykit (0.11.1-2) unstable; urgency=medium

  * Bump Standards to 4.0.0 - no changes needed
  * lxqt-policykit depends on lxqt-session, it will not even start without
    the session (Closes: #866876)
  * Added Suggests: lxqt | lxqt-core

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 14:35:20 +0200

lxqt-policykit (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies:
    -cmake
    -libqt5xdg-dev
    -libqt5xdgiconloader-dev
    -libx11-dev
    -pkg-config
    -qttools5-dev
    -qttools5-dev-tools 
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 14:49:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,14 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               cmake (>= 3.0.2),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.0),
+               liblxqt0-dev (>= 0.11.1),
                libpolkit-agent-1-dev,
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 2.0.0),
-               libqt5xdgiconloader-dev (>= 2.0.0),
-               libx11-dev,
-               pkg-config,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 3.9.8
+               libx11-dev
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-policykit.git/?h=debian/sid
 Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-policykit.git -b debian/sid
 Homepage: https://github.com/lxde/lxqt-policykit
@@ -28,8 +22,10 @@
 Package: lxqt-policykit
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         lxqt-session
 Recommends: lxqt-policykit-l10n
+Suggests: lxqt | lxqt-core
 Provides: polkit-1-auth-agent
 Description: LXQt authentication agent for PolicyKit
  The lxqt-policykit D-Bus session bus service that is used to

## lxqt-policykit 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,21 @@
 set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")
 
 find_package(PolkitQt5-1 REQUIRED)
-find_package(Qt5LinguistTools REQUIRED QUIET)
+find_package(Qt5LinguistTools REQUIRED)
 find_package(Qt5Widgets REQUIRED)
-message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
+message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 find_package(lxqt REQUIRED)
+
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
+
+# Patch Version
+set(LXQT_POLKITAGENT_PATCH_VERSION 0)
+
+set(LXQT_POLKITAGENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POLKITAGENT_PATCH_VERSION})
+add_definitions("-DLXQT_POLKITAGENT_VERSION=\"${LXQT_POLKITAGENT_VERSION}\"")
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
@@ -108,3 +118,7 @@
     DESTINATION "${POLKIT_AGENT_BINARY_DIR}"
     COMPONENT Runtime
 )
+
+# merged from lxqt-common
+add_subdirectory(autostart)
+

=== autostart/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
)
add_custom_target(lxqt_policykit_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-policykit (0.12.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields 

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 21:44:08 +0100

lxqt-policykit (0.12.0-2) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 23:58:51 +0100

lxqt-policykit (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1 - no changes needed
  * Bumped liblxqt dependency to >= 0.12.0
  * Added Breaks/Replaces for lxqt-common << 0.12.0

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 18:56:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.1),
+               liblxqt0-dev (>= 0.12.0),
                libpolkit-agent-1-dev,
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-policykit.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-policykit.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-policykit.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-policykit.git
 Homepage: https://github.com/lxde/lxqt-policykit
 
 Package: lxqt-policykit
@@ -26,6 +26,8 @@
          lxqt-session
 Recommends: lxqt-policykit-l10n
 Suggests: lxqt | lxqt-core
+Breaks: lxqt-common (<< 0.12.0)
+Replaces: lxqt-common (<< 0.12.0)
 Provides: polkit-1-auth-agent
 Description: LXQt authentication agent for PolicyKit
  The lxqt-policykit D-Bus session bus service that is used to

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-policykit/releases .*/lxqt-policykit-([\d\.]+).tar.xz

## lxqt-policykit 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,8 +32,12 @@
 set(LXQT_POLKITAGENT_PATCH_VERSION 0)
 
 set(LXQT_POLKITAGENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POLKITAGENT_PATCH_VERSION})
-add_definitions("-DLXQT_POLKITAGENT_VERSION=\"${LXQT_POLKITAGENT_VERSION}\"")
+add_definitions(
+    "-DLXQT_POLKITAGENT_VERSION=\"${LXQT_POLKITAGENT_VERSION}\""
+    "-DQT_NO_FOREACH"
+)
 
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Deal with a bug in polkit-qt5

=== debian/changelog ===
lxqt-policykit (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 22:17:40 +0200

lxqt-policykit (0.12.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 15:43:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
            Yukiharu YABUKI <yyabuki@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.12.0),
+               liblxqt0-dev (>= 0.13.0~),
                libpolkit-agent-1-dev,
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-policykit.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-policykit.git
-Homepage: https://github.com/lxde/lxqt-policykit
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
+Homepage: https://github.com/lxqt/lxqt-policykit
 
 Package: lxqt-policykit
 Architecture: any

## lxqt-policykit 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(lxqt-policykit-agent)
 
 include(GNUInstallDirs)
@@ -17,16 +21,15 @@
 
 set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")
 
+# Minumum Versions
+set(LXQT_MINIMUM_VERSION "0.14.0")
+set(QT_MINIMUM_VERSION "5.7.1")
+
+find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 find_package(PolkitQt5-1 REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-find_package(Qt5Widgets REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
-
-find_package(lxqt REQUIRED)
-
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
 
 # Patch Version
 set(LXQT_POLKITAGENT_PATCH_VERSION 0)
@@ -34,7 +37,6 @@
 set(LXQT_POLKITAGENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POLKITAGENT_PATCH_VERSION})
 add_definitions(
     "-DLXQT_POLKITAGENT_VERSION=\"${LXQT_POLKITAGENT_VERSION}\""
-    "-DQT_NO_FOREACH"
 )
 
 include(LXQtPreventInSourceBuilds)
@@ -86,16 +88,6 @@
         ${lxqt-policykit-agent_UI}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
-    REPO_SUBDIR
-        "lxqt-policykit/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
@@ -108,12 +100,21 @@
     ${QM_LOADER}
 )
 
+target_compile_definitions(lxqt-policykit-agent
+    PRIVATE
+        "QT_USE_QSTRINGBUILDER"
+        "QT_NO_CAST_FROM_ASCII"
+        "QT_NO_CAST_TO_ASCII"
+        "QT_NO_URL_CAST_FROM_STRING"
+        "QT_NO_CAST_FROM_BYTEARRAY"
+)
+
 target_link_libraries(lxqt-policykit-agent
     Qt5::Widgets
     lxqt
     ${POLKITQT-1_CORE_LIBRARY}
     ${POLKITQT-1_AGENT_LIBRARY}
-    ${POLKIT_AGENT_LIBRARIES}
+    ${POLKIT_AGENT_LDFLAGS}
 )
 
 # install
@@ -122,7 +123,10 @@
     DESTINATION "${POLKIT_AGENT_BINARY_DIR}"
     COMPONENT Runtime
 )
+install(FILES
+    man/lxqt-policykit-agent.1
+    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
+    COMPONENT Runtime
+)
 
-# merged from lxqt-common
 add_subdirectory(autostart)
-

=== debian/changelog ===
lxqt-policykit (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Fixed d/manpages
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 17:57:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Yukiharu YABUKI <yyabuki@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.13.0~),
+               liblxqt0-dev (>= 0.14.0~),
                libpolkit-agent-1-dev,
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
 Homepage: https://github.com/lxqt/lxqt-policykit
@@ -34,3 +34,14 @@
  bring up authentication dialogs used for obtaining privileges.
  .
  This package contains the LXQt policy kit authentication agent.
+
+Package: lxqt-policykit-l10n
+Architecture: all
+Multi-Arch: foreign
+Section: localization
+Depends: ${misc:Depends},
+         qttranslations5-l10n
+Breaks: lxqt-policykit (<< 0.11.0)
+Replaces: lxqt-policykit (<< 0.11.0)
+Description: Language package for lxqt-policykit
+ This package contains the l10n files needed by the lxqt-policykit.

## lxqt-policykit 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")
 
 # Minumum Versions
-set(LXQT_MINIMUM_VERSION "0.14.0")
+set(LXQT_MINIMUM_VERSION "0.14.1")
 set(QT_MINIMUM_VERSION "5.7.1")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -32,7 +32,7 @@
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version
-set(LXQT_POLKITAGENT_PATCH_VERSION 0)
+set(LXQT_POLKITAGENT_PATCH_VERSION 1)
 
 set(LXQT_POLKITAGENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POLKITAGENT_PATCH_VERSION})
 add_definitions(

=== debian/changelog ===
lxqt-policykit (0.14.1-1ubuntu2) focal; urgency=medium

  * Modified rules to be consistent with debian unstable.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sat, 15 Feb 2020 23:57:22 +0530

lxqt-policykit (0.14.1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Using debhelper-compat.
    - Updated manpages.
    - Added upstream metadata.
    - Keeping ubuntu-side tweaks for writing some build deps in one line.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Wed, 12 Feb 2020 16:24:30 +0230

lxqt-policykit (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum version liblxqt0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 02:29:24 +0100

lxqt-policykit (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 13:13:27 -0600

lxqt-policykit (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add a lxqt-policykit-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 00:33:12 -0600

lxqt-policykit (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 23:44:33 -0500

=== debian/control ===
Source: lxqt-policykit
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.1~),
               libpolkit-agent-1-dev,
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-policykit/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-policykit.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
Homepage: https://github.com/lxqt/lxqt-policykit

Package: lxqt-policykit
Architecture: any
Depends: lxqt-session, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-policykit-l10n
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Provides: polkit-1-auth-agent
Description: LXQt authentication agent for PolicyKit
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent.

Package: lxqt-policykit-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-policykit (<< 0.11.0)
Replaces: lxqt-policykit (<< 0.11.0)
Description: Language package for lxqt-policykit
 This package contains the l10n files needed by lxqt-policykit.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF\
		-DUPDATE_TRANSLATIONS=OFF\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-policykit 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,8 @@
 set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")
 
 # Minumum Versions
-set(LXQT_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQT_MINIMUM_VERSION "0.15.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
@@ -32,7 +32,7 @@
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version
-set(LXQT_POLKITAGENT_PATCH_VERSION 1)
+set(LXQT_POLKITAGENT_PATCH_VERSION 0)
 
 set(LXQT_POLKITAGENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POLKITAGENT_PATCH_VERSION})
 add_definitions(
@@ -100,15 +100,6 @@
     ${QM_LOADER}
 )
 
-target_compile_definitions(lxqt-policykit-agent
-    PRIVATE
-        "QT_USE_QSTRINGBUILDER"
-        "QT_NO_CAST_FROM_ASCII"
-        "QT_NO_CAST_TO_ASCII"
-        "QT_NO_URL_CAST_FROM_STRING"
-        "QT_NO_CAST_FROM_BYTEARRAY"
-)
-
 target_link_libraries(lxqt-policykit-agent
     Qt5::Widgets
     lxqt

=== debian/changelog ===
lxqt-policykit (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Bump Standards-version to 4.5.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:11:32 -0500

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.14.1~),
+               liblxqt0-dev (>= 0.15.0),
                libpolkit-agent-1-dev,
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-policykit/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-policykit.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit

## lxqt-policykit 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,8 @@
 set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")
 
 # Minumum Versions
-set(LXQT_MINIMUM_VERSION "0.15.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQT_MINIMUM_VERSION "0.16.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== autostart/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
 file(GLOB DESKTOP_FILES_IN *.desktop.in)
 
 # Translations **********************************

=== debian/changelog ===
lxqt-policykit (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Bump debhelper-compat to 13.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 01:05:03 +0530

lxqt-policykit (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 17:49:18 +0800

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
            Yukiharu YABUKI <yyabuki@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.15.0),
+               liblxqt0-dev (>= 0.16.0~),
                libpolkit-agent-1-dev,
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,

## lxqt-policykit 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")
 
 # Minumum Versions
-set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-policykit (0.17.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 11 Jan 2022 09:53:36 -0500

lxqt-policykit (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0 (LP: #1875774)
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
    - Extend lxqt-policykit-l10n package description
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Fri, 13 Aug 2021 14:41:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lxqt-policykit
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
@@ -9,13 +9,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.16.0~),
+               liblxqt0-dev (>= 0.17.0),
                libpolkit-agent-1-dev,
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-policykit/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-policykit.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
@@ -44,4 +44,6 @@
 Breaks: lxqt-policykit (<< 0.11.0)
 Replaces: lxqt-policykit (<< 0.11.0)
 Description: Language package for lxqt-policykit
+ The l10n files for lxqt-policykit
+ .
  This package contains the l10n files needed by lxqt-policykit.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 %:
 	dh ${@} --buildsystem cmake
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_missing:
 	dh_missing --fail-missing

## lxqt-policykit 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,8 @@
 set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")
 
 # Minumum Versions
-set(LXQT_MINIMUM_VERSION "0.17.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQT_MINIMUM_VERSION "1.1.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== autostart/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 lxqt_translate_desktop(DESKTOP_FILES
     SOURCES
         ${DESKTOP_FILES_IN}
+    USE_YAML
 )
 add_custom_target(lxqt_policykit_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
 #************************************************

=== debian/changelog ===
lxqt-policykit (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:40:24 -0700

lxqt-policykit (1.1.0-1) experimental; urgency=medium

  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 1.0.0
  * New upstream version 1.1.0
  * Build-deps on liblxqt1-dev (>= 1.1.0~).
  * Drop obsoleted Breaks and Replaces lines.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 14 Jul 2022 00:28:48 +0800

=== debian/control ===
Source: lxqt-policykit
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.1.0~),
               libpolkit-agent-1-dev,
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
Homepage: https://github.com/lxqt/lxqt-policykit

Package: lxqt-policykit
Architecture: any
Depends: lxqt-session, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-policykit-l10n
Suggests: lxqt | lxqt-core
Provides: polkit-1-auth-agent
Description: LXQt authentication agent for PolicyKit
 The lxqt-policykit D-Bus session bus service that is used to
 bring up authentication dialogs used for obtaining privileges.
 .
 This package contains the LXQt policy kit authentication agent.

Package: lxqt-policykit-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-policykit
 This package contains the l10n files needed by the lxqt-policykit.

=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,14 @@
 %:
 	dh ${@} --buildsystem cmake
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DPULL_TRANSLATIONS=OFF\
-		-DUPDATE_TRANSLATIONS=OFF\
+		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## lxqt-policykit 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")
 
 # Minumum Versions
-set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQT_MINIMUM_VERSION "1.2.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-policykit (1.2.0-1ubuntu1) lunar; urgency=medium

  * Revert a sync from Debian.
  * Added 'Rules-Requires-Root: no' to debian/control.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Removed obsolete '-Wl,--as-needed' linker flag.
  * Removed obsolete override_dh_missing section of debian/rules.
  * Updated copyright file.
  * Removed trailing whitespace from changelog.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 15 Feb 2023 12:03:37 -0600

lxqt-policykit (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.
  * Lintian doesn't like extra "r"s in upstream metadata.
  * Brief copyright update.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 17:50:24 -0600

lxqt-policykit (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Remove old Breaks/Replaces, we're past the LTS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 01 Jun 2022 16:21:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lxqt-policykit
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
@@ -7,18 +7,21 @@
            Yukiharu YABUKI <yyabuki@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.1.0~),
+               liblxqt1-dev (>= 1.2.0),
                libpolkit-agent-1-dev,
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-policykit-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-policykit-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
 Homepage: https://github.com/lxqt/lxqt-policykit
+Rules-Requires-Root: no
 
 Package: lxqt-policykit
 Architecture: any
@@ -38,4 +41,6 @@
 Section: localization
 Depends: qttranslations5-l10n, ${misc:Depends}
 Description: Language package for lxqt-policykit
- This package contains the l10n files needed by the lxqt-policykit.
+ The l10n files for lxqt-policykit
+ .
+ This package contains the l10n files needed by lxqt-policykit.

## lxqt-policykit 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 set(POLKIT_AGENT_BINARY_DIR "${CMAKE_INSTALL_BINDIR}" CACHE FILEPATH "Directory for install polkit agent")
 
 # Minumum Versions
-set(LXQT_MINIMUM_VERSION "1.2.0")
+set(LXQT_MINIMUM_VERSION "1.3.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-policykit (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * I guess we don't require root to build, do we?
  * Remove redundant compiler flag.
  * Update copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:51:12 -0500

=== debian/control ===
--- 
+++ 
@@ -9,19 +9,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.2.0),
+               liblxqt1-dev (>= 1.3.0),
                libpolkit-agent-1-dev,
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-policykit-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-policykit-packaging.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-policykit
 XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-policykit.git
+Rules-Requires-Root: no
 Homepage: https://github.com/lxqt/lxqt-policykit
-Rules-Requires-Root: no
 
 Package: lxqt-policykit
 Architecture: any
